Loading...
Searching...
No Matches
TableSelection Class Reference

## Public Member Functions

void | Decorate (Decorator)
| Apply the decorator to the selection. This decorate both the cells, the lines and the corners.
void | DecorateAlternateRow (Decorator, int modulo=2, int shift=0)
| Apply the decorator to the selection. This decorate only the lines modulo modulo with a shift of shift.
void | DecorateAlternateColumn (Decorator, int modulo=2, int shift=0)
| Apply the decorator to the selection. This decorate only the lines modulo modulo with a shift of shift.
void | DecorateCells (Decorator)
| Apply the decorator to the selection.
void | DecorateCellsAlternateColumn (Decorator, int modulo=2, int shift=0)
| Apply the decorator to the selection. This decorate only the corners modulo modulo with a shift of shift.
void | DecorateCellsAlternateRow (Decorator, int modulo=2, int shift=0)
| Apply the decorator to the selection. This decorate only the corners modulo modulo with a shift of shift.
void | Border (BorderStyle border=LIGHT)
| Apply a border around the selection.
void | BorderLeft (BorderStyle border=LIGHT)
| Draw some separator lines to the left side of the selection.
void | BorderRight (BorderStyle border=LIGHT)
| Draw some separator lines to the right side of the selection.
void | BorderTop (BorderStyle border=LIGHT)
| Draw some separator lines to the top side of the selection.
void | BorderBottom (BorderStyle border=LIGHT)
| Draw some separator lines to the bottom side of the selection.
void | Separator (BorderStyle border=LIGHT)
| Draw some separator lines in the selection.
void | SeparatorVertical (BorderStyle border=LIGHT)
| Draw some vertical separator lines in the selection.
void | SeparatorHorizontal (BorderStyle border=LIGHT)
| Draw some horizontal separator lines in the selection.

## Detailed Description

Definition at line 64 of file table.hpp.

## Member Function Documentation

## Decorate()

void Decorate | ( | Decorator | decorator | ) |

Apply the decorator to the selection. This decorate both the cells, the lines and the corners.

Parameters

  decorator | The decorator to apply.

Definition at line 255 of file table.cpp.

## DecorateAlternateRow()

void DecorateAlternateRow | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the decorator to the selection. This decorate only the lines modulo modulo with a shift of shift.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the lines to decorate.
  shift | The shift of the lines to decorate.

Definition at line 307 of file table.cpp.

## DecorateAlternateColumn()

void DecorateAlternateColumn | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the decorator to the selection. This decorate only the lines modulo modulo with a shift of shift.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the lines to decorate.
  shift | The shift of the lines to decorate.

Definition at line 287 of file table.cpp.

## DecorateCells()

void DecorateCells | ( | Decorator | decorator | ) |

Apply the decorator to the selection.

Parameters

  decorator | The decorator to apply. This decorate only the cells.

Definition at line 269 of file table.cpp.

## DecorateCellsAlternateColumn()

void DecorateCellsAlternateColumn | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the decorator to the selection. This decorate only the corners modulo modulo with a shift of shift.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the corners to decorate.
  shift | The shift of the corners to decorate.

Definition at line 327 of file table.cpp.

## DecorateCellsAlternateRow()

void DecorateCellsAlternateRow | ( | Decorator | decorator,
|  | int | modulo = 2,
|  | int | shift = 0 )

Apply the decorator to the selection. This decorate only the corners modulo modulo with a shift of shift.

Parameters

  decorator | The decorator to apply.
  modulo | The modulo of the corners to decorate.
  shift | The shift of the corners to decorate.

Definition at line 347 of file table.cpp.

## Border()

void Border | ( | BorderStyle | border = LIGHT | ) |

Apply a border around the selection.

Parameters

  border | The border style to apply.

Examples
  examples/dom/table.cpp.

Definition at line 363 of file table.cpp.

## BorderLeft()

void BorderLeft | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the left side of the selection.

Parameters

  border | The border style to apply.

Definition at line 426 of file table.cpp.

## BorderRight()

void BorderRight | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the right side of the selection.

Parameters

  border | The border style to apply.

Definition at line 436 of file table.cpp.

## BorderTop()

void BorderTop | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the top side of the selection.

Parameters

  border | The border style to apply.

Definition at line 446 of file table.cpp.

## BorderBottom()

void BorderBottom | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines to the bottom side of the selection.

Parameters

  border | The border style to apply.

Definition at line 456 of file table.cpp.

## Separator()

void Separator | ( | BorderStyle | border = LIGHT | ) |

Draw some separator lines in the selection.

Parameters

  border | The border style to apply.

Definition at line 382 of file table.cpp.

## SeparatorVertical()

void SeparatorVertical | ( | BorderStyle | border = LIGHT | ) |

Draw some vertical separator lines in the selection.

Parameters

  border | The border style to apply.

Definition at line 398 of file table.cpp.

## SeparatorHorizontal()

void SeparatorHorizontal | ( | BorderStyle | border = LIGHT | ) |

Draw some horizontal separator lines in the selection.

Parameters

  border | The border style to apply.

Definition at line 412 of file table.cpp.

The documentation for this class was generated from the following files:

- include/ftxui/dom/table.hpp
- src/ftxui/dom/table.cpp